Subject: Re: ppc assembler help needed

From: Andreas Tobler <[email-masked]>
Date: Mon, 15 May 2000 20:26:26 +0200

Hoi Franz,

Franz Sirl wrote:
> No, cmpw 0,r5,0 compares r5 to r0, use cmpwi 0,r5,0 to make a signed
> compare of r5 against 0

This works, thanks. The next question is automatically in the queue:

all functions, insX/outsX in misc.S use this cmpw 0,r5,0, shouldn't it
be a cmpwi 0,r5,0 then?

Thanks,
Andreas

BTW, does it mind which CPU is behind? In my case it's a 601.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/